View Issue Details

IDProjectCategoryView StatusLast Update
0001305CentOS-4Otherpublic2007-07-31 23:50
ReporterJohnnyHughes Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionopen 
Summary0001305: heartbeat-2.0 Testing Repo Tracker
DescriptionPlease report positive and negative feedback for heartbeat-2.0 for x86_64 or i386 from the testing repo in this tracker.
TagsNo tags attached.

Activities

mpaesold

mpaesold

2006-05-10 14:22

reporter   ~0003480

As reported for the heartbeat RPM in the extras repo (bug id 1318), there is a group ownership issue with this RPM:

During installation:
  Installing: heartbeat
warning: group buildcentos does not exist - using root
warning: group buildcentos does not exist - using root
warning: group buildcentos does not exist - using root

rpm -V heartbeat
......G. /var/lib/heartbeat/cores/hacluster
......G. /var/lib/heartbeat/cores/nobody
......G. /var/lib/heartbeat/cores/root

rpm -q heartbeat
heartbeat-2.0.4-1.c4

This does not affect the usability, but it should be fixed.
mpaesold

mpaesold

2006-07-18 15:56

reporter   ~0003707

c4-testing now has a heartbeat 2.0.6, but there seem to be unsatisfied dependencies -- when I now type yum --enablerepo=c4-testing update, I get a lot of dependency resoltions (because of the new heartbeat GUI), and finally a:

Error: Missing Dependency: python-gtk is needed by package heartbeat
JohnnyHughes

JohnnyHughes

2006-07-19 09:23

administrator   ~0003712

That requirement should be pygtk :( ... let me fix that and republish
JohnnyHughes

JohnnyHughes

2006-07-19 10:59

administrator   ~0003713

OK ... there is a new version that should install...

heartbeat-2.0.6-1.c4.1.x86_64.rpm _or_ heartbeat-2.0.6-1.c4.1.i386.rpm

let's see if this one does any better
mpaesold

mpaesold

2006-08-04 13:22

reporter   ~0003745

Dependencies are resolved now correctly.

Yet, do you think there is a chance that you could split the built heartbeat rpm into two rpms, i.e. a heartbeat and a heartbeat-gui package?

It should be possible to do that in the spec. It would provide a major benefit to all those users, that want to use heartbeat without gui on a server without all those gui packages installed.
JohnnyHughes

JohnnyHughes

2006-08-05 08:12

administrator   ~0003747

I totally agree with you that requiring all the GUI stuff on a server is not very good.

I will bring this up on the hearbeat list and we will see what they say ... if there is not a good reason not to, I'll try to split this into 2 packages.
JohnnyHughes

JohnnyHughes

2007-07-25 12:56

administrator   ~0005637

the version 2.0.8-2 is split into 2 packages for heartbeat and heartbeat-gui
JohnnyHughes

JohnnyHughes

2007-07-31 23:28

administrator   ~0005776

OK .. heartbeat-2.1.2-2.el5.centos is released and syncing to the mirrors.

please check and provide feedback.

Issue History

Date Modified Username Field Change
2006-04-14 00:22 JohnnyHughes New Issue
2006-04-14 00:22 JohnnyHughes Status new => assigned
2006-05-10 14:22 mpaesold Note Added: 0003480
2006-07-18 15:56 mpaesold Note Added: 0003707
2006-07-19 09:23 JohnnyHughes Note Added: 0003712
2006-07-19 10:59 JohnnyHughes Note Added: 0003713
2006-08-04 13:22 mpaesold Note Added: 0003745
2006-08-05 08:12 JohnnyHughes Note Added: 0003747
2007-07-25 12:56 JohnnyHughes Note Added: 0005637
2007-07-31 23:28 JohnnyHughes Note Added: 0005776
2007-07-31 23:50 JohnnyHughes Status assigned => feedback